StartWorkExecutor (Mule ESB 2.2.1 API)
Keywords: org.mule.work.StartWorkExecutor class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.work
Class StartWorkExecutor

    java.lang.Object
      org.mule.work.StartWorkExecutor

All Implemented Interfaces:
  WorkExecutor

    public class StartWorkExecutor

extends Object
implements WorkExecutor

Constructor Summary
`StartWorkExecutor()`

Method Summary
`void` | `doExecute(WorkerContext work, edu.emory.mathcs.backport.java.util.concurrent.Executor executor)` This method must be implemented by sub-classes in order to provide the relevant synchronization policy.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### StartWorkExecutor

    public StartWorkExecutor()

Method Detail

### doExecute

    public void doExecute(WorkerContext work,
                          edu.emory.mathcs.backport.java.util.concurrent.Executor executor)
                   throws javax.resource.spi.work.WorkException,
                          InterruptedException

  Description copied from interface: `WorkExecutor`
  This method must be implemented by sub-classes in order to provide the relevant synchronization policy. It is called by the executeWork template method.

  Specified by:
    `doExecute` in interface `WorkExecutor`
  Parameters:
    `work` - Work to be executed.
  Throws:
    `javax.resource.spi.work.WorkException` - Indicates that the work has failed.
    `InterruptedException` - Indicates that the thread in charge of the execution of the specified work has been interrupted.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2009 MuleSource, Inc.. All Rights Reserved.